Radix cross Linux

The main Radix cross Linux repository contains the build scripts of packages, which have the most complete and common functionality for desktop machines

384 Commits   1 Branch   1 Tag
Index: X11/Makefile
===================================================================
--- X11/Makefile	(revision 28)
+++ X11/Makefile	(revision 29)
@@ -727,7 +727,24 @@
 #######
 REQUIRES += X11/net/nm-applet/1.30.0
 
+#######
+####### applications:
+#######
 
+REQUIRES += X11/app/ffmpeg/4.4.4
+ifneq ($(filter $(TOOLCHAIN),$(TOOLCHAIN_POWER8_GLIBC) $(TOOLCHAIN_POWER9_GLIBC)),)
+REQUIRES += X11/app/ffmpeg/4.4.4-ppc32
+endif
+ifneq ($(filter $(TOOLCHAIN),$(TOOLCHAIN_X86_64_GLIBC)),)
+REQUIRES += X11/app/ffmpeg/4.4.4-x86_32
+endif
+
+#######
+####### Desktop applications:
+#######
+REQUIRES += X11/media/audacious-plugins/4.3
+
+
 # ======= __END_OF_REQUIRES__ =======
 
 
Index: base/Makefile
===================================================================
--- base/Makefile	(revision 28)
+++ base/Makefile	(revision 29)
@@ -605,6 +605,10 @@
 REQUIRES += app/nvme-cli/1.13
 REQUIRES += app/gptfdisk/1.0.7
 
+REQUIRES += app/efibootmgr/18
+REQUIRES += app/fakeroot/1.31
+REQUIRES += app/patchelf/0.18.0
+
 REQUIRES += app/file/5.39
 ifneq ($(filter $(TOOLCHAIN),$(TOOLCHAIN_POWER8_GLIBC) $(TOOLCHAIN_POWER9_GLIBC)),)
 REQUIRES += app/file/5.39-ppc32
@@ -1096,22 +1100,22 @@
 
 #            ...     ...
 #             │       │
-#             │       ├── net/nspr/4.30
-#             │       │   ├── net/nspr/4.30-ppc32
-#             │       │   ├── net/nspr/4.30-x86_32
+#             │       ├── net/nspr/4.35
+#             │       │   ├── net/nspr/4.35-ppc32
+#             │       │   ├── net/nspr/4.35-x86_32
 #             │       │   │
-#             │       │   ├── net/nss/3.64 ■  ────────────────────── app/sqlite/3.39.4.0
+#             │       │   ├── net/nss/3.89 ■  ────────────────────── app/sqlite/3.39.4.0
 #             │       │   │   ├── net/nss/3.23-ppc32                 ├── app/sqlite/3.39.4.0-ppc32
 #             │       │   │   └── net/nss/3.23-x86_32                └── app/sqlite/3.39.4.0-x86_32
 #             │       │  ...
 #            ...     ...
 
-REQUIRES += net/nss/3.64
+REQUIRES += net/nss/3.89
 ifneq ($(filter $(TOOLCHAIN),$(TOOLCHAIN_POWER8_GLIBC) $(TOOLCHAIN_POWER9_GLIBC)),)
-REQUIRES += net/nss/3.64-ppc32
+REQUIRES += net/nss/3.89-ppc32
 endif
 ifneq ($(filter $(TOOLCHAIN),$(TOOLCHAIN_X86_64_GLIBC)),)
-REQUIRES += net/nss/3.64-x86_32
+REQUIRES += net/nss/3.89-x86_32
 endif
 
 REQUIRES += net/libqmi/1.28.2